# QGLFramebufferObjectFormat Class Reference

### [com.trolltech.qt.opengl package]

### Constructor

- void QGLFramebufferObjectFormat()
- void QGLFramebufferObjectFormat(QGLFramebufferObjectFormat other)

### Constructor Properties

- prototype: The QGLFramebufferObjectFormat prototype object

### Prototype Object Properties

- Attachment attachment()
- bool mipmap()
- QGLFramebufferObjectFormat operator_assign(QGLFramebufferObjectFormat other)
- bool operator_equal(QGLFramebufferObjectFormat other)
- int samples()
- void setAttachment(Attachment attachment)
- void setMipmap(bool enabled)
- void setSamples(int samples)

### Instance Properties

QGLFramebufferObjectFormat objects have no special properties beyond those inherited from the QGLFramebufferObjectFormat prototype object.